Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Vaults - List Deleted
- Service:
- Key Vault
- API Version:
- 2024-11-01
Gets information about the deleted vaults in a subscription.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.KeyVault/deletedVaults?api-version=2024-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscriptionId
|
path | True |
string |
Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Retrieved information about all deleted key vaults in a subscription. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Examples
List deleted vaults in the specified subscription
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/deletedVaults?api-version=2024-11-01
Sample response
- Status code:
- 200
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/locations/westus/deletedVaults/sample-vault",
"name": "vault-agile-drawer-6404",
"type": "Microsoft.KeyVault/deletedVaults",
"properties": {
"vaultId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-group/providers/Microsoft.KeyVault/vaults/sample-vault",
"location": "westus",
"tags": {},
"deletionDate": "2017-01-01T00:00:59Z",
"scheduledPurgeDate": "2017-04-01T00:00:59Z",
"purgeProtectionEnabled": true
}
}
],
"nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/deletedVaults?api-version=2024-11-01&%24skiptoken=HY3RaoMwAEX%2fRcbeYhJrnRXKYNWOuqpME0sfNcYui0Yxade19N8ne7hcDlzOvVuKX81eKKmt4G4dooLQwgqsL2NGHUDYV6o68Z4rY1e388RtNvRQn2vNJjEaMSgNvcbneMUcsKg8BFwft8DndQ0w9hu2QOiFLRs4TsNFNHzSMBFsGvTQGvuD%2f5bVuTOw4R03vPkH%2fVqNAlzm5SxfOwh7ACOA8POTlvPjILlaU1ke8jImOc23JCppQVfZnna0DXc4ISc3vSVuRo5zJE6%2bj25C3vwk2v2kEV2mMn7PyOc1DbtNGkonnzuLym1G400uI5QRZj0efw%3d%3d"
}
Definitions
| Name | Description |
|---|---|
| CloudError |
An error response from Key Vault resource provider |
| CloudErrorBody |
An error response from Key Vault resource provider |
| DeletedVault |
Deleted vault information with extended details. |
| DeletedVaultListResult |
List of vaults |
| DeletedVaultProperties |
Properties of the deleted vault. |
CloudError
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| error |
An error response from Key Vault resource provider |
CloudErrorBody
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. This is a mnemonic that can be consumed programmatically. |
| message |
string |
User friendly error message. The message is typically localized and may vary with service version. |
DeletedVault
Deleted vault information with extended details.
| Name | Type | Description |
|---|---|---|
| id |
string |
The resource ID for the deleted key vault. |
| name |
string |
The name of the key vault. |
| properties |
Properties of the vault |
|
| type |
string |
The resource type of the key vault. |
DeletedVaultListResult
List of vaults
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URL to get the next set of deleted vaults. |
| value |
The list of deleted vaults. |
DeletedVaultProperties
Properties of the deleted vault.
| Name | Type | Description |
|---|---|---|
| deletionDate |
string (date-time) |
The deleted date. |
| location |
string |
The location of the original vault. |
| purgeProtectionEnabled |
boolean |
Purge protection status of the original vault. |
| scheduledPurgeDate |
string (date-time) |
The scheduled purged date. |
| tags |
object |
Tags of the original vault. |
| vaultId |
string |
The resource id of the original vault. |
